package VariableDemandSchedules;

import ScheduleUtil.SchedulesArray;

import java.util.ArrayList;
import java.util.List;

public class BankVariableDemandSchedules {
    public final SchedulesArray initialSchedulesArray;
    public final List<VariableDemandSchedulesArray> bankVariableDemandSimulation;

    public BankVariableDemandSchedules(SchedulesArray initialSchedulesArray) {
        this.initialSchedulesArray = initialSchedulesArray;
        this.bankVariableDemandSimulation = new ArrayList<>();
    }

    public void addVariableDemandSchedules(VariableDemandSchedulesArray variableDemandSchedulesArray) {
        this.bankVariableDemandSimulation.add(variableDemandSchedulesArray);
    }
}
